## 段落

在 Markdown 中，段落是由一个以上相连接的行句组成，而一个以上的空行则会切分出不同的段落，一般的段落不需要用空白或换行缩排。

> 空行的定义是显示上看起来像是空行，便会被视为空行。
> 
> 比如，若某一行只包含空白`    `和 tab` `，则该行也会被视为空行

「一个以上相连接的行句组成」这句话其实暗示了 Markdown 允许段落内的强迫换行，这个特性和其他大部分的 text-to-HTML 格式不一样（包括 MovableType 的「Convert Line Breaks」选项），其它的格式会把每个换行都转成 `<br />` 标签。

这也就意味着在 Markdown 中，如果需要把一段内容当做段落来显示，则需要保证该段内容上方及下方至少各有一个空行，比如:

```markdown
这里是段落一
这里是段落二
```

这段文字在 Markdown 中就会被显示成一行：

这里是段落一
这里是段落二

如果需要对段落进行换行的话，可以使用两个以上空格加上回车，比如：

这里是段落一  
这里是段落二

```
这里是段落一  
这里是段落二
```

当然，你也可以在段落后面使用一个空行来表示重新开始一个段落，比如：

这里是段落一

这里是段落二

```
这里是段落一

这里是段落二
```

此外，你也可以选择在第一行的末尾添加 `<br>` 进行换行，比如：

```markdown
这里是段落一<br>
这里是段落二
```

就会显示成两段内容：

这里是段落一<br>
这里是段落二

## 强调

Markdown 使用星号 `*` 和下划线 `-` 作为标记强调字词的符号。

### 斜体

在 Markdown 中，将内容用 `*` 或 `_` 包裹起来，包围的字词会被转成用 <em> 标签包围，会显示成 *斜体*，比如：

```
*这里是斜体内容1*
_这里是斜体内容2_
```

会显示为

*这里是斜体内容1*
_这里是斜体内容2_

```
<em>这里是斜体内容1</em>
<em>这里是斜体内容2</em>
```

**需要注意的是：**

1. 用什么符号开启标签，就要用什么符号结束
2.  `*` 和 `_` 两边都有空白的话，它们就只会被当成普通的符号
3.  如果要在文字前后直接插入普通的星号或下划线，可以用反斜杠`\* \_`

### 粗体

用两个 `*` 或 `_` 包起来的话，则会被转成 <strong>，例如：

```
**这里是粗体内容1**
__这里是粗体内容2__
```

会显示为

**这里是粗体内容1**
__这里是粗体内容2__

```
<strong>这里是斜体内容1</strong>
<strong>这里是斜体内容2</strong>
```

### 删除线

你还可以使用两个 `~` 来给内容加上~~删除线~~，例如：

```
~~这个内容是被删掉的~~
```

会显示为

~~这个内容是被删掉的~~

```
<del>这个内容是被删掉的</del>
```
