# 列表

Markdown 支持有序列表、无序列表和任务列表 三种形式的列表。

## 无序列表

无序列表使用 `*` 、 `+` 或是 `-` 作为列表标记，比如：

```
*   香蕉
*   苹果
*   桃子
```

等同于：

```
+   香蕉
+   苹果
+   桃子
```

也等同于：

```
-   香蕉
-   苹果
-   桃子
```

```
*   香蕉
*   苹果
*   桃子
```

## 有序列表

有序列表则使用数字接着一个英文句号：

```
1.  第一天
2.  第二天
3.  第三天
```

当然，项目列表很可能会不小心产生，像是下面这样的写法：

```
1987. What a great season.
```
1987. What a great season.

也就是当在行首出现`数字-句点-空白`的内容时，Markdown 会将其当做一个列表进行展示，要避免这样的状况，可以在句点前面加上转义符 `\` ，比如：

1986\. What a great season.

Markdown 支持在下面这些符号前面加上反斜杠来帮助插入普通的符号：

```
	\   反斜杠
	`   反引号
	*   星号
	_   底线
	{}  大括号
	[]  方括号
	()  括号
	#   井字号
	+    加号
	-    减号
	.   英文句点
	!   惊叹号
```

此外，列表也可以进行嵌套或者与其他 Markdown 内容，比如：

1. 第一天
	* 起床
	* 吃饭
	* 工作
		- 看邮件
		- 写代码
			// A code block
			打开 CODE CHINA

			![电脑](https://source.unsplash.com/100x100/?computers)

					var x =1000;
			
		- 测试
		- 发布
	* 睡觉
2. 第二天
3. 第三天


```
1. 第一天
	* 起床
	* 吃饭
	* 工作
		- 看邮件
		- 写代码
			// A code block
			打开 CODE CHINA

			![电脑](https://source.unsplash.com/100x100/?computers)

					var x =1000;
			
		- 测试
		- 发布
	* 睡觉
1. 第二天
1. 第三天
```


## 任务列表

任务列表的语法格式为 `- [ ] todo`，其中 `[ ]` (带空格的中括号)表示**未完成**的任务，`[x]`(带字母x的中括号) 表示**已经完成**的任务，比如：

- [x] 起床
- [x] 吃饭
- [ ] 工作
- [ ] 睡觉

```
- [x] 起床
- [x] 吃饭
- [ ] 工作
- [ ] 睡觉
```

任务列表页可以与无序列表或有序列表嵌套使用，比如：

- [x] 起床
- [ ] 吃饭
	- [x] 煮鸡蛋
	- [ ] 烤面包
	- [ ] 热牛奶
1. [X] 工作
	1. [x] 看邮件
	2. [x] 写代码
	3. [ ] 发布
2. [ ] 睡觉

```
- [x] 起床
- [ ] 吃饭
	- [x] 煮鸡蛋
	- [ ] 烤面包
	- [ ] 热牛奶
1. [X] 工作
	1. [x] 看邮件
	2. [x] 写代码
	3. [ ] 发布
2. [ ] 睡觉
```
