
## 分隔线

你可以在一行中用三个或以上的`*`、`-`、`_`来创建一个分隔线，行内不能有其他东西。你也可以在星号中间插入空白。下面每种写法都可以建立分隔线：

分隔线1 `* * *`
* * *
分隔线2 `***`
***
分隔线3 `*****`
*****
分隔线4 `---`

---
分隔线5 `________`
________


## 引用

Markdown 使用 email 形式的区块引用，我们在要引用内容每行的最前面加上 `>` ，就可以在 Markdown 文档中创建一个区块引用：

> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
> 
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
> 急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
> 傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。

```
> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
> 
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
> 急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
> 傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。
```

Markdown 也允许只在整个段落的第一行最前面加上 `>` ：

> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
> 
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。

```
> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
> 
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。
```

区块引用可以有级别（例如：引用内的引用），只要根据级别加上不同数量的 `>` ：

> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
>
> > 程序员有三种美德：懒惰，急躁和傲慢。 —— **Larry Wall**
>
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。
>

```
> Perl语言的发明人Larry Wall说，好的程序员有3种美德： 懒惰、急躁和傲慢(Laziness, Impatience and hubris)。
>
> > 程序员有三种美德：懒惰，急躁和傲慢。 —— **Larry Wall**
>
> 懒惰，会使得你花大力气去避免消耗过多的精力。它敦促你写出节省体力的程序，同时别人也能利用它们。为此你会写出完善的文档，以免别人问你太多问题。
急躁，当你发现计算机懒洋洋地不给出结果。于是你写出更优秀的代码，能尽快真正的解决问题。至少看上去是这样。
傲慢，极度的自信，使你有信心写出(或维护)别人挑不出毛病的程序。
>
```

引用的区块内也可以使用其他的 Markdown 语法，包括标题、列表、代码块等：

> ## 程序员的三种美德
> 
> 1. 懒惰
> 2. 急躁
> 3. 傲慢
> 
> 下面是代码的示例:
> 
>     return shell_exec("echo $input | $markdown_script");

```
> ## 程序员的三种美德
> 
> 1. 懒惰
> 2. 急躁
> 3. 傲慢
> 
> 下面是代码的示例:
> 
>     return shell_exec("echo $input | $markdown_script");
```

