## 行内代码

行内代码的格式很简单，只需要使用两个 \` 将代码内容包裹起来即可，比如 `var foo = 'bar';` 

## 缩进显示代码

要在 Markdown 中创建代码块也很简单，只要简单地缩排 4 个空白或是 1 个 tab 就可以，例如，下面的输入：

这是一个普通的段落:

    This is a code block.

在 Markdown 会转换成：

```html
<p>这是一个普通的段落:</p>

<pre><code>This is a code block.
</code></pre>
```

这个每行一级的缩排（4 个空白或是 1 个 tab），都会被移除，例如：

这里是一段示例代码:

    tell application "Foo"
        beep
    end tell

会被转换为：

```html
<p>这里是一段示例代码:</p>

<pre><code>tell application "Foo"
    beep
end tell
</code></pre>
```

一个代码块会一直持续到没有缩排的那一行（或是文档结尾）。

在代码块里面， `&` 、 `<` 和 `>` 会自动转成 HTML 实体，这样的方式让你非常容易使用 Markdown 插入 HTML 的原始示例代码，例如：

    <div class="footer">
        &copy; 2004 Foo Corporation
    </div>

会被转换为：

```html
<pre><code>&lt;div class="footer"&gt;
    &amp;copy; 2004 Foo Corporation
&lt;/div&gt;
</code></pre>
```


## 高亮显示代码段

除了缩进显示代码段之外，Markdown 还支持高亮显示的代码段，创建高亮显示的代码段时，将代码段由带有三个反引号（ \`\`\` ）的行围起来，并在第一个围栏的末尾标识上语言类型即可，比如：

```javascript
// A highlighted block
var foo = 'bar';
```

	```javascript
	// A highlighted block
	var foo = 'bar';
	```

也可以不指定语言类型，比如

```
echo "Hello"
```

	```
	echo "Hello"
	```



## Diff 语法

此外，Markdown 还支持 Diff 高亮语法，其格式如下

```diff
var foo = 'bar';
- var x = 200;
+ var x = 100;
```

	```diff
	var foo = 'bar';
	+ var x = 200;
	* var x = 100;
	```

需要注意的是，如果差异内容中包 \`，请确保使用反斜杠`\` 来转义每个反引号\` ，否则差异突出显示将无法正确呈现。