## 表格

在 Markdown 中创建表格的语法要求如下：

1. 第一行包含表头，并用"竖线"（ | ）分隔
1. 第二行将标题与单元格分开，并且必须包含三个或更多破折号
1. 第三行以及随后的任何行均包含单元格值

需要注意的是：

- 不能在 Markdown 中将单元格分隔成多行，它们必须保持为单行，如果需要，还可以使用 HTML `<br>`标记对内容进行强制换行
- 第二行单元长短与标题不需要保持一致，但必须用竖线（`|`）分隔
- 可以有空白的单元格

例如:

| header 1 | header 2 | header 3 |
| ---      |  ------  |---------:|
| cell 1   | cell 2   | cell 3   |
| cell 4 | cell 5 is longer | cell 6 is much longer than the others, but that's ok. It will eventually wrap the text when the cell is too large for the display size. |
| cell 7   |          | cell <br> 9 |


另外，你可以通过添加冒号(`:`)，指定每一列的文本对齐方式，比如：

| Column 1 | Column 2      |
|:--------:| -------------:|
| centered 文本居中 | right-aligned 文本居右 |

其中：

- `:--:` 两端都有冒号表示**内容和标题栏**居中对齐
- `:---` 左侧冒号表示**内容和标题栏**居左对齐
- `---:` 右侧冒号表示**内容和标题栏**居右对齐